"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : {
    default: obj
  };
}

const Typography = ({
  element = 'p',
  type = 'bodyS',
  align = 'left',
  className,
  children
}) => {
  const createTypographyElement = () => {
    const Element = _styledComponents.default[element]`
      text-align: ${align};
      font-size: ${({
      theme
    }) => theme.typography[type].fontSize};
      font-weight: ${({
      theme
    }) => theme.typography[type].fontWeight};
      line-height: ${({
      theme
    }) => theme.typography[type].lineHeight};
    `;
    return /*#__PURE__*/_react.default.createElement(Element, {
      className: className
    }, children);
  };

  return createTypographyElement();
};

var _default = Typography;
exports.default = _default;