import { Props as SVGProps } from 'react-inlinesvg';
declare type SizeType<K extends 'xs' | 'sm' | 'md' | 'lg', T> = {
    [P in K]: T;
};
declare type SizesType = SizeType<'xs' | 'sm' | 'md' | 'lg', {
    width: number;
    height: number;
}>;
export declare type IconPropsType = {
    iconName: string;
    colorName: string;
    size: SizesType;
};
export declare type StyledSVGProps = SVGProps & {
    size: SizesType;
};
export {};
