import { ReactElement } from 'react';
import { typographyBreakPoints } from './bolttech-theme-provider.type.js';
declare type TextElementsType = 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'span' | 'p';
declare type TextAlignmentsType = 'left' | 'center' | 'right';
export declare type TypographyPropsType = {
    className?: string;
    element?: TextElementsType;
    type?: typographyBreakPoints;
    align?: TextAlignmentsType;
    children: ReactElement[] | ReactElement | string | string[] | number | number[] | boolean;
};
export {};
