"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.typography = void 0;
const typography = {
  // DISPLAY
  displayL: {
    fontSize: '96px',
    lineHeight: '112px',
    fontWeight: 300
  },
  displayM: {
    fontSize: '52px',
    lineHeight: '64px',
    fontWeight: 300
  },
  displayS: {
    fontSize: '44px',
    lineHeight: '56px',
    fontWeight: 300
  },
  displayBoldL: {
    fontSize: '96px',
    lineHeight: '112px',
    fontWeight: 700
  },
  displayBoldM: {
    fontSize: '52px',
    lineHeight: '64px',
    fontWeight: 700
  },
  displayBoldS: {
    fontSize: '44px',
    lineHeight: '56px',
    fontWeight: 700
  },
  // HEADING
  headingL: {
    fontSize: '40px',
    lineHeight: '52px',
    fontWeight: 500
  },
  headingM: {
    fontSize: '36px',
    lineHeight: '44px',
    fontWeight: 500
  },
  headingS: {
    fontSize: '32px',
    lineHeight: '40px',
    fontWeight: 500
  },
  headingXS: {
    fontSize: '28px',
    lineHeight: '36px',
    fontWeight: 500
  },
  // BODY
  bodyXL: {
    fontSize: '24px',
    lineHeight: '32px',
    fontWeight: 300
  },
  bodyL: {
    fontSize: '18px',
    lineHeight: '24px',
    fontWeight: 300
  },
  bodyM: {
    fontSize: '16px',
    lineHeight: '24px',
    fontWeight: 300
  },
  bodyS: {
    fontSize: '14px',
    lineHeight: '20px',
    fontWeight: 300
  },
  bodyXS: {
    fontSize: '12px',
    lineHeight: '16px',
    fontWeight: 300
  },
  // LABEL
  labelL: {
    fontSize: '18px',
    lineHeight: '24px',
    fontWeight: 500
  },
  labelM: {
    fontSize: '16px',
    lineHeight: '24px',
    fontWeight: 500
  },
  labelS: {
    fontSize: '14px',
    lineHeight: '20px',
    fontWeight: 500
  },
  labelXS: {
    fontSize: '12px',
    lineHeight: '16px',
    fontWeight: 500
  },
  // FORMS
  formL: {
    fontSize: '16px',
    lineHeight: '24px',
    fontWeight: 300
  },
  formM: {
    fontSize: '16px',
    lineHeight: '24px',
    fontWeight: 300
  },
  formS: {
    fontSize: '12px',
    lineHeight: '16px',
    fontWeight: 300
  },
  formSC: {
    fontSize: '12px',
    lineHeight: '14px',
    fontWeight: 300
  }
};
exports.typography = typography;