"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = require("styled-components");

var _index = require("./themes/default/index.js");

var _styleUtils = require("../utils/style-utils.js");

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : {
    default: obj
  };
} // Importing default theme to be used when the user doesn't need to use a custom theme.


const BolttechThemeProvider = ({
  children,
  theme = _index.bolttechTheme
}) => {
  const GlobalColorClasses = (0, _styledComponents.createGlobalStyle)`${(0, _styleUtils.createColorClasses)(theme)}`;
  return /*#__PURE__*/_react.default.createElement(_styledComponents.ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/_react.default.createElement(GlobalColorClasses, null), children);
};

var _default = BolttechThemeProvider;
exports.default = _default;