"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.colors = void 0;
const colors = {
  primary: {
    base: '#00BAC7',
    600: '#33C8D2',
    500: '#66D6DD',
    400: '#99E3E9',
    300: '#CCF1F4',
    200: '#E6F9FA',
    100: '#F2FBFC'
  },
  secondary: {
    base: '#170F4F',
    600: '#453F72',
    500: '#746F95',
    400: '#A29FB9',
    300: '#D1CFDC',
    200: '#E8E7EE',
    100: '#F3F3F6',
    50: '#F9F9FB'
  },
  accent: {
    base: '#E3D900',
    600: '#E9E133',
    500: '#EEE866',
    400: '#F4F099',
    300: '#F9F7CC',
    200: '#FDFCE6',
    100: '#FDFDF2'
  },
  neutral: {
    black: '#000000',
    100: '#1A1A1A',
    90: '#333333',
    80: '#4D4D4D',
    70: '#666666',
    60: '#7F7F7F',
    50: '#999999',
    40: '#B3B3B3',
    30: '#CCCCCC',
    20: '#E6E6E6',
    10: '#F2F2F2',
    white: '#FFFFFF'
  },
  error: {
    base: '#D92D20',
    100: '#FDA29B',
    50: '#FEF3F2'
  },
  success: {
    base: '#039855',
    100: '#A6F4C5',
    50: '#ECFDF3'
  }
};
exports.colors = colors;